<?php
/*
Officity - Web application platform - Version 6.0 - 2011-07-05

François Dispaux, Boris Verdeyen, Thomas Hermant,
Jérémie Roy, Grégory Meurice, Abdelila Harbi, 
Marc Mignonsin, Jonathan Sanchez, Julien Gonzalez, Pierre Fouchez

Sushee and Officity is © Copyright 2011 Nectil SA.

`/sushee-source/sushee/private/general_fileprocessing.php` is part of Officity.

Sushee is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Officity and Sushee are distributed in the hope that they will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Sushee. If not, see <http://www.gnu.org/licenses/>.
*/
$moduleName = $moduleInfo->name;

include_once(dirname(__FILE__)."/../file/file_config.inc.php");
include_once(dirname(__FILE__)."/../file/file_functions.inc.php");
	

if ( $requestName=="DELETE" ){
	if ($moduleName=="contact"){
		foreach($IDs_array as $ID){
			global $directoryRoot;
			$target = "/$moduleName/$ID";
			if (file_exists($directoryRoot.$target."/")){
				zip($directoryRoot.$target."/",$directoryRoot.$target.".zip");
				killDirectory($directoryRoot.$target."/");
			}
		}
	}
}
return TRUE;
?>
